Eigene Rollen setzen
curl --request PUT \
--url https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roleIds": [
"<string>"
]
}
'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles"
payload = { "roleIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roleIds: ['<string>']})
};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'roleIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles"
payload := strings.NewReader("{\n \"roleIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"roleIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"roleIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"userId": "<string>",
"membershipId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"status": "pending",
"level": 123,
"points": 123,
"joinedAt": "<string>",
"lastSeenAt": "<string>",
"online": true,
"customRoles": [
{
"id": "<string>",
"name": "<string>",
"visibility": "members"
}
],
"badges": [
{
"kind": "<string>",
"label": "<string>",
"color": "slate",
"plain": true,
"teamOnly": true
}
],
"nameColor": "slate",
"ageUnknown": true,
"profileUrl": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address": {
"company": "<string>",
"extra": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"vatId": "<string>"
},
"phone": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Mitglieder
Eigene Rollen setzen
Ersetzt die eigenen Rollen des Mitglieds (Kennzeichnung ohne Rechte, auch interne). Nur für aktive oder stummgeschaltete Mitglieder (sonst 409); unbekannte Rolle → 404. Erscheint im Protokoll der Community.
PUT
/
api
/
rest
/
v1
/
communities
/
{slug}
/
members
/
{userId}
/
roles
Eigene Rollen setzen
curl --request PUT \
--url https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roleIds": [
"<string>"
]
}
'import requests
url = "https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles"
payload = { "roleIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({roleIds: ['<string>']})
};
fetch('https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'roleIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles"
payload := strings.NewReader("{\n \"roleIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"roleIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{instanz}/api/rest/v1/communities/{slug}/members/{userId}/roles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"roleIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"userId": "<string>",
"membershipId": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"role": "owner",
"status": "pending",
"level": 123,
"points": 123,
"joinedAt": "<string>",
"lastSeenAt": "<string>",
"online": true,
"customRoles": [
{
"id": "<string>",
"name": "<string>",
"visibility": "members"
}
],
"badges": [
{
"kind": "<string>",
"label": "<string>",
"color": "slate",
"plain": true,
"teamOnly": true
}
],
"nameColor": "slate",
"ageUnknown": true,
"profileUrl": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address": {
"company": "<string>",
"extra": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"vatId": "<string>"
},
"phone": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Response
OK